## org.jfree.ui
Interface GradientPaintTransformer

All Known Implementing Classes:
  StandardGradientPaintTransformer

    public interface GradientPaintTransformer

The interface for a class that can transform a `GradientPaint` to fit an arbitrary shape.

Author:
  David Gilbert

Method Summary
`java.awt.GradientPaint` `transform(java.awt.GradientPaint paint, java.awt.Shape target)` Transforms a `GradientPaint` instance to fit some target shape.

Method Detail

### transform

    java.awt.GradientPaint transform(java.awt.GradientPaint paint,
                                     java.awt.Shape target)

  Transforms a `GradientPaint` instance to fit some target shape. Classes that implement this method typically return a new instance of `GradientPaint`.

  Parameters:
    `paint` - the original paint (not `null`).
    `target` - the reference area (not `null`).
  Returns:
    A transformed paint.